add supporting flash in cfi.quirk

1. rearrange PM25LD010 to correct .
2. add PM25Lx512x / MX25V2035F / W25X20.X
Do not return historical results with no AppStream ID

If we can't match up the release to a component, then do not return it as a
result to applications like gnome-software.

Fixes https://github.com/fwupd/fwupd/issues/6128
Do not return historical results with no AppStream ID

If we can't match up the release to a component, then do not return it as a
result to applications like gnome-software.

Fixes https://github.com/fwupd/fwupd/issues/6128
Do not return historical results with no AppStream ID

If we can't match up the release to a component, then do not return it as a
result to applications like gnome-software.

Fixes https://github.com/fwupd/fwupd/issues/6128
